commit f628a6ef38b7c42febf8fbc450d46ab1f5461f6f
Author: mbkma <johannes.unruh@fau.de>
Date:   Wed Nov 9 23:32:26 2022 +0100

    release 1.27.0

 NEWS         | 25 +++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 26 insertions(+), 1 deletion(-)

commit eac72ae7bd8f11d2091de19c44cb41d496474fde
Author: mbkma <johannes.unruh@fau.de>
Date:   Wed Nov 9 22:22:17 2022 +0100

    tx: sync with transifex

 help/af/af.po                   |   10 +-
 help/am/am.po                   |   10 +-
 help/ar/ar.po                   |   45 +-
 help/as/as.po                   |   10 +-
 help/ast/ast.po                 |   10 +-
 help/az/az.po                   |   10 +-
 help/be/be.po                   |   10 +-
 help/bg/bg.po                   |   10 +-
 help/bn/bn.po                   |   10 +-
 help/bn_IN/bn_IN.po             |   10 +-
 help/br/br.po                   |   10 +-
 help/bs/bs.po                   |   10 +-
 help/ca/ca.po                   |   13 +-
 help/ca@valencia/ca@valencia.po |   10 +-
 help/cmn/cmn.po                 |   10 +-
 help/crh/crh.po                 |   10 +-
 help/cs/cs.po                   |   12 +-
 help/cy/cy.po                   |   10 +-
 help/da/da.po                   |   51 +-
 help/de/de.po                   |   12 +-
 help/dz/dz.po                   |   10 +-
 help/el/el.po                   |   20 +-
 help/en_AU/en_AU.po             |   10 +-
 help/en_CA/en_CA.po             |   10 +-
 help/en_GB/en_GB.po             |   76 ++-
 help/eo/eo.po                   |   15 +-
 help/es/es.po                   |   53 +-
 help/et/et.po                   |   10 +-
 help/eu/eu.po                   |   16 +-
 help/fa/fa.po                   |   10 +-
 help/fi/fi.po                   |   10 +-
 help/fr/fr.po                   |   48 +-
 help/ga/ga.po                   |   10 +-
 help/gl/gl.po                   |   10 +-
 help/gu/gu.po                   |   10 +-
 help/he/he.po                   |   10 +-
 help/hi/hi.po                   |   10 +-
 help/hr/hr.po                   |   10 +-
 help/hu/hu.po                   |   15 +-
 help/hy/hy.po                   |   10 +-
 help/id/id.po                   |  539 ++++++++++-----
 help/ie/ie.po                   |   10 +-
 help/is/is.po                   |   10 +-
 help/it/it.po                   |  471 ++++++-------
 help/ja/ja.po                   |   30 +-
 help/ka/ka.po                   |   10 +-
 help/kk/kk.po                   |   10 +-
 help/kn/kn.po                   |   10 +-
 help/ko/ko.po                   |   17 +-
 help/ky/ky.po                   |   10 +-
 help/lt/lt.po                   |   10 +-
 help/lv/lv.po                   |   10 +-
 help/mai/mai.po                 |   10 +-
 help/mg/mg.po                   |   10 +-
 help/mk/mk.po                   |   10 +-
 help/ml/ml.po                   |   10 +-
 help/mn/mn.po                   |   10 +-
 help/mr/mr.po                   |   10 +-
 help/ms/ms.po                   |   10 +-
 help/nb/nb.po                   |   10 +-
 help/nds/nds.po                 |   16 +-
 help/ne/ne.po                   |   10 +-
 help/nl/nl.po                   |   25 +-
 help/nn/nn.po                   |   10 +-
 help/oc/oc.po                   |   30 +-
 help/or/or.po                   |   12 +-
 help/pa/pa.po                   |   10 +-
 help/pl/pl.po                   |   26 +-
 help/ps/ps.po                   |   12 +-
 help/pt/pt.po                   |   12 +-
 help/pt_BR/pt_BR.po             |   12 +-
 help/ro/ro.po                   |   19 +-
 help/ru/ru.po                   | 1378 +++++++++++++++++++++++++++++++--------
 help/si/si.po                   |   10 +-
 help/sk/sk.po                   |   16 +-
 help/sl/sl.po                   |   35 +-
 help/sq/sq.po                   |   10 +-
 help/sr/sr.po                   |   18 +-
 help/sr@latin/sr@latin.po       |   10 +-
 help/sv/sv.po                   |   10 +-
 help/ta/ta.po                   |   10 +-
 help/te/te.po                   |   10 +-
 help/th/th.po                   |   10 +-
 help/tr/tr.po                   |   22 +-
 help/ug/ug.po                   |   10 +-
 help/uk/uk.po                   |   22 +-
 help/ur/ur.po                   |   10 +-
 help/vi/vi.po                   |   16 +-
 help/xh/xh.po                   |   10 +-
 help/zh_CN/zh_CN.po             |   98 +--
 help/zh_HK/zh_HK.po             |   10 +-
 help/zh_TW/zh_TW.po             |   10 +-
 po/af.po                        |   82 +--
 po/am.po                        |   82 +--
 po/ar.po                        |   94 +--
 po/as.po                        |   82 +--
 po/ast.po                       |   82 +--
 po/az.po                        |   82 +--
 po/be.po                        |   82 +--
 po/bg.po                        |   82 +--
 po/bn.po                        |   82 +--
 po/bn_IN.po                     |   82 +--
 po/br.po                        |   82 +--
 po/bs.po                        |   82 +--
 po/ca.po                        |   82 +--
 po/ca@valencia.po               |   82 +--
 po/cmn.po                       |   82 +--
 po/crh.po                       |   82 +--
 po/cs.po                        |   84 +--
 po/cy.po                        |   82 +--
 po/da.po                        |   98 +--
 po/de.po                        |   84 +--
 po/dz.po                        |   82 +--
 po/el.po                        |  352 +++++-----
 po/en_AU.po                     |   82 +--
 po/en_CA.po                     |   82 +--
 po/en_GB.po                     |  212 +++---
 po/eo.po                        |   87 +--
 po/es.po                        |  140 ++--
 po/es_AR.po                     |   99 +--
 po/es_CO.po                     |   99 +--
 po/es_MX.po                     |   99 +--
 po/et.po                        |   82 +--
 po/eu.po                        |   90 +--
 po/fa.po                        |   84 +--
 po/fi.po                        |   82 +--
 po/fr.po                        |  151 +++--
 po/fur.po                       |   82 +--
 po/fy.po                        |   82 +--
 po/ga.po                        |   82 +--
 po/gl.po                        |   82 +--
 po/gu.po                        |  181 ++---
 po/ha.po                        |   82 +--
 po/he.po                        |   82 +--
 po/hi.po                        |   82 +--
 po/hr.po                        |   82 +--
 po/hu.po                        |   82 +--
 po/hy.po                        |   82 +--
 po/id.po                        |   82 +--
 po/ie.po                        |   82 +--
 po/ig.po                        |   82 +--
 po/is.po                        |   82 +--
 po/it.po                        |  911 +++++++++++++-------------
 po/ja.po                        |  118 ++--
 po/ka.po                        |   82 +--
 po/kab.po                       |   82 +--
 po/kk.po                        |   82 +--
 po/kn.po                        |   82 +--
 po/ko.po                        |   84 +--
 po/ks.po                        |   82 +--
 po/ku.po                        |   82 +--
 po/ku_IQ.po                     |   82 +--
 po/ky.po                        |   82 +--
 po/la.po                        |   82 +--
 po/li.po                        |   82 +--
 po/lt.po                        |   82 +--
 po/lv.po                        |   82 +--
 po/mai.po                       |   82 +--
 po/mg.po                        |   82 +--
 po/mi.po                        |   82 +--
 po/mk.po                        |   82 +--
 po/ml.po                        |   82 +--
 po/mn.po                        |   82 +--
 po/mr.po                        |   82 +--
 po/ms.po                        |   82 +--
 po/nb.po                        |  200 +++---
 po/nds.po                       |   82 +--
 po/ne.po                        |   82 +--
 po/nl.po                        |   88 +--
 po/nn.po                        |   82 +--
 po/nso.po                       |   82 +--
 po/oc.po                        | 1196 +++++++++++++++++----------------
 po/or.po                        |   84 +--
 po/pa.po                        |   82 +--
 po/pl.po                        |  101 +--
 po/pms.po                       |   82 +--
 po/ps.po                        |   84 +--
 po/pt.po                        |  122 ++--
 po/pt_BR.po                     |  157 +++--
 po/ro.po                        |  128 ++--
 po/ru.po                        |  148 +++--
 po/rw.po                        |   82 +--
 po/si.po                        |   82 +--
 po/sk.po                        |   82 +--
 po/sl.po                        |  340 +++++-----
 po/sq.po                        |   82 +--
 po/sr.po                        |   82 +--
 po/sr@latin.po                  |   82 +--
 po/sv.po                        |   82 +--
 po/ta.po                        |   82 +--
 po/te.po                        |   82 +--
 po/th.po                        |   82 +--
 po/tk.po                        |   82 +--
 po/tr.po                        |  790 +++++++++++-----------
 po/tt.po                        |   82 +--
 po/ug.po                        |   82 +--
 po/uk.po                        |  435 ++++++------
 po/ur.po                        |   82 +--
 po/uz.po                        |   84 +--
 po/vi.po                        |   82 +--
 po/wa.po                        |   91 +--
 po/xh.po                        |   82 +--
 po/yi.po                        |   82 +--
 po/yo.po                        |   82 +--
 po/zh_CN.po                     |  730 ++++++++++-----------
 po/zh_HK.po                     |   82 +--
 po/zh_TW.po                     |   84 +--
 po/zu.po                        |   82 +--
 208 files changed, 9930 insertions(+), 8433 deletions(-)

commit de4c6fa58dc7f935a4ec9d2d726f01a6255f9126
Author: mbkma <johannes.unruh@fau.de>
Date:   Sat Oct 29 15:39:07 2022 +0200

    tx: update resource

 help/pluma.pot |  2 +-
 pluma.pot      | 82 +++++++++++++++++++++++++++++-----------------------------
 2 files changed, 42 insertions(+), 42 deletions(-)

commit 16b5badfd873f545a4d93ba4671806ea7c950b15
Author: mbkma <johannes.unruh@fau.de>
Date:   Fri Oct 28 21:55:18 2022 +0200

    tx: migrate config file

 .tx/config                    | 23 ++++++++++++-----------
 .tx/config_20221028214814.bak | 16 ++++++++++++++++
 2 files changed, 28 insertions(+), 11 deletions(-)

commit 413f9e46eb73e5ebec9a05b5669df8b927126596
Author: Balázs Dura-Kovács <balping314@gmail.com>
Date:   Thu Aug 18 17:44:41 2022 +0200

    Fix out-of-bounds write
    
    Closes https://github.com/mate-desktop/pluma/issues/664
    
    The size of tempfont was one byte too short, so strcpy performed an out-of-bounds write of the terminating 0.

 pluma/pluma-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d99eb16fa11b5a3abeb06f10d8d23cf3ce9ff853
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Mar 15 10:21:44 2022 +0100

    pluma-view: 'len' is assigned a value that is never used

 pluma/pluma-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1172680e735dcfd2e43b398233d77bef8304e5dc
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Mar 15 10:08:21 2022 +0100

    pluma-commands-search: 'len' is assigned a value that is never used

 pluma/pluma-commands-search.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6bd34181f2490f313a835ce59f82f696c42a2d0a
Author: rbuj <robert.buj@gmail.com>
Date:   Thu Oct 21 14:50:15 2021 +0200

    filebrowser: fix warning -Wincompatible-pointer-types

 plugins/filebrowser/pluma-file-bookmarks-store.c | 35 +++++++++++-------------
 1 file changed, 16 insertions(+), 19 deletions(-)

commit 5358eaef9720283551321b6cd8c7f63efd15ed0f
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Nov 24 20:30:24 2021 +0100

    pluma-metadata-manager: remove time.h

 pluma/pluma-metadata-manager.c | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 188204ac0ef18800207393e9b71d7d2a95d5f408
Author: rbuj <robert.buj@gmail.com>
Date:   Thu Oct 28 10:31:27 2021 +0200

    pluma: fix build warning about missing field initializer

 pluma/pluma.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 98b80aa2be3add2ce4ef86a79c4e348db43c32d1
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Nov 28 09:24:30 2021 +0100

    pluma-document: Redundant null check

 pluma/pluma-document.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 5eace01ce45cf476d6a4a4d943656894a6287983
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Dec 22 06:52:23 2021 +0100

    pluma-encodings-combo-box: implicit conversion changes signedness

 pluma/pluma-encodings-combo-box.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3d732011e34a9b0c593ade0f66261fe7847dceab
Author: John Hein <dkeabg7vp4@snkmail.com>
Date:   Sun Dec 12 20:33:16 2021 -0700

    Increase POSIX compliance and simplify.  Remove bashisms and non-POSIX expr(1) usage.

 .../externaltools/data/search-recursive.tool.in    | 22 +---------------------
 1 file changed, 1 insertion(+), 21 deletions(-)

commit f84ac66430f9deac0f452d4367e286db012ab89b
Author: John Hein <dkeabg7vp4@snkmail.com>
Date:   Sun Dec 12 20:24:49 2021 -0700

    Revert the shebang changes for /bin/sh (9a99c3c7b).  See also issue 640:
    
    https://github.com/mate-desktop/pluma/issues/640

 plugins/externaltools/data/build.tool.in                  | 2 +-
 plugins/externaltools/data/open-terminal-here.tool.in     | 2 +-
 plugins/externaltools/data/remove-trailing-spaces.tool.in | 2 +-
 plugins/externaltools/data/run-command.tool.in            | 2 +-
 plugins/externaltools/data/search-recursive.tool.in       | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

commit 6216985d236b5c1e9c531367b7b1cfe0952441d8
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Oct 24 12:51:44 2021 +0200

    filebrowser: use GLib's new g_clear_signal_handler() function

 plugins/filebrowser/pluma-file-browser-plugin.c | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit 91fb982083508ba9d411b70b370e95430ebfff7d
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Oct 27 12:33:12 2021 +0200

    Unnecessary G_OBJECT cast when calling signal connect function

 plugins/time/pluma-time-plugin.c |  7 +++----
 pluma/pluma-help.c               |  7 +++----
 pluma/pluma-notebook.c           | 32 ++++++++++++--------------------
 pluma/pluma-utils.c              |  7 +++----
 pluma/pluma-view.c               |  8 ++++----
 pluma/pluma-window.c             | 18 ++++++------------
 6 files changed, 31 insertions(+), 48 deletions(-)

commit 73d1dc813f21b9f526375338517673e459e39296
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Oct 20 21:21:40 2021 +0200

    pluma-commands-search: fix warning -Wenum-conversion

 pluma/pluma-commands-search.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 746a7ef6a3ce6568698505e9dad9e39e75c69587
Author: raveit65 <mate@raveit.de>
Date:   Sun Feb 13 20:41:41 2022 +0100

    ci: drop -Wunused-parameter compiler cflag from debian build

 .build.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 579ee708bafacaa41d15f1840d15e3c78ef0685e
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Oct 24 13:53:39 2021 +0200

    pluma: handler IDs are gulong, not guint

 pluma/pluma-encodings-combo-box.c | 2 +-
 pluma/pluma-view.c                | 2 +-
 pluma/pluma-window-private.h      | 9 +++++----
 3 files changed, 7 insertions(+), 6 deletions(-)

commit 450596ee1c1a41be3e19aeadbbf86f06925a2dd0
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Oct 24 13:28:21 2021 +0200

    pluma: use GLib's new g_clear_signal_handler() function

 pluma/pluma-notebook.c |  5 +++++
 pluma/pluma-view.c     |  5 +++++
 pluma/pluma-window.c   | 29 +++++++++++++++++++++++++++++
 3 files changed, 39 insertions(+)

commit da404d7db23cdb62ae1bb6096031a06d712993d1
Author: rbuj <robert.buj@gmail.com>
Date:   Sat Oct 23 03:54:46 2021 +0200

    pluma-plugins-engine: fix memory leak

 pluma/pluma-plugins-engine.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit c7d460d479891b305c96b3de18817c541929d0a8
Author: mbkma <johannes.unruh@fau.de>
Date:   Tue Nov 23 22:40:26 2021 +0100

    Fix double activation of extensions

 pluma/pluma-view.c | 9 ++-------
 1 file changed, 2 insertions(+), 7 deletions(-)

commit 8543488f7f41a0fbbc42a9592d1721a2b73ce08a
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Oct 26 17:06:26 2021 +0200

    pluma-tab: remove a whitespace before #if

 pluma/pluma-tab.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e94d0d7d68f7b8310b4f9843ab0dba5d4289ab62
Author: raveit65 <mate@raveit.de>
Date:   Fri Aug 6 10:48:34 2021 +0200

    release 1.26.0

 NEWS         | 11 +++++++++++
 configure.ac |  4 ++--
 2 files changed, 13 insertions(+), 2 deletions(-)

commit c80f7776d0ba2b916195f1964fb67e38f4d3da8b
Author: raveit65 <mate@raveit.de>
Date:   Fri Aug 6 10:39:37 2021 +0200

    tx: sync with transifex

 help/af/af.po                   |   85 +-
 help/am/am.po                   |   85 +-
 help/ar/ar.po                   |   85 +-
 help/as/as.po                   |   85 +-
 help/ast/ast.po                 |   85 +-
 help/az/az.po                   |   85 +-
 help/be/be.po                   |   85 +-
 help/bg/bg.po                   |   85 +-
 help/bn/bn.po                   |   85 +-
 help/bn_IN/bn_IN.po             |   85 +-
 help/br/br.po                   |   85 +-
 help/bs/bs.po                   |   85 +-
 help/ca/ca.po                   |   89 +-
 help/ca@valencia/ca@valencia.po |   85 +-
 help/cmn/cmn.po                 |   85 +-
 help/crh/crh.po                 |   85 +-
 help/cs/cs.po                   |  110 +-
 help/cy/cy.po                   |   85 +-
 help/da/da.po                   |   89 +-
 help/de/de.po                   |   85 +-
 help/dz/dz.po                   |   85 +-
 help/el/el.po                   |   85 +-
 help/en_AU/en_AU.po             |   85 +-
 help/en_CA/en_CA.po             |   85 +-
 help/en_GB/en_GB.po             |   85 +-
 help/eo/eo.po                   |   85 +-
 help/es/es.po                   |   87 +-
 help/et/et.po                   |   85 +-
 help/eu/eu.po                   |   85 +-
 help/fa/fa.po                   |   85 +-
 help/fi/fi.po                   |   85 +-
 help/fr/fr.po                   |   93 +-
 help/ga/ga.po                   |   85 +-
 help/gl/gl.po                   |   87 +-
 help/gu/gu.po                   |   85 +-
 help/he/he.po                   |   85 +-
 help/hi/hi.po                   |   85 +-
 help/hr/hr.po                   |   85 +-
 help/hu/hu.po                   |   85 +-
 help/hy/hy.po                   |   85 +-
 help/id/id.po                   |  103 +-
 help/ie/ie.po                   |   85 +-
 help/is/is.po                   |   85 +-
 help/it/it.po                   |   92 +-
 help/ja/ja.po                   | 1244 +++++++++++++---------
 help/ka/ka.po                   |   85 +-
 help/kk/kk.po                   |   85 +-
 help/kn/kn.po                   |   85 +-
 help/ko/ko.po                   |  157 ++-
 help/ky/ky.po                   |   85 +-
 help/lt/lt.po                   |   85 +-
 help/lv/lv.po                   |   85 +-
 help/mai/mai.po                 |   85 +-
 help/mg/mg.po                   |   85 +-
 help/mk/mk.po                   |   85 +-
 help/ml/ml.po                   |   85 +-
 help/mn/mn.po                   |   85 +-
 help/mr/mr.po                   |   85 +-
 help/ms/ms.po                   |  236 ++---
 help/nb/nb.po                   |   91 +-
 help/nds/nds.po                 |   85 +-
 help/ne/ne.po                   |   85 +-
 help/nl/nl.po                   |   87 +-
 help/nn/nn.po                   |   85 +-
 help/oc/oc.po                   |   93 +-
 help/or/or.po                   |   85 +-
 help/pa/pa.po                   |   85 +-
 help/pl/pl.po                   |  125 ++-
 help/ps/ps.po                   |   85 +-
 help/pt/pt.po                   |   93 +-
 help/pt_BR/pt_BR.po             |   85 +-
 help/ro/ro.po                   |   91 +-
 help/ru/ru.po                   |  100 +-
 help/si/si.po                   |   85 +-
 help/sk/sk.po                   |   85 +-
 help/sl/sl.po                   |   85 +-
 help/sq/sq.po                   |   85 +-
 help/sr/sr.po                   | 1509 ++++++++++++++++++++-------
 help/sr@latin/sr@latin.po       |   85 +-
 help/sv/sv.po                   |  123 ++-
 help/ta/ta.po                   |   85 +-
 help/te/te.po                   |   85 +-
 help/th/th.po                   |   85 +-
 help/tr/tr.po                   |   85 +-
 help/ug/ug.po                   |   85 +-
 help/uk/uk.po                   |   93 +-
 help/ur/ur.po                   |   85 +-
 help/vi/vi.po                   |   85 +-
 help/xh/xh.po                   |   85 +-
 help/zh_CN/zh_CN.po             |  275 ++---
 help/zh_HK/zh_HK.po             |   85 +-
 help/zh_TW/zh_TW.po             |   87 +-
 po/af.po                        | 1159 +++++++++++----------
 po/am.po                        | 1159 +++++++++++----------
 po/ar.po                        | 1161 +++++++++++----------
 po/as.po                        | 1161 +++++++++++----------
 po/ast.po                       | 1161 +++++++++++----------
 po/az.po                        | 1159 +++++++++++----------
 po/be.po                        | 1161 +++++++++++----------
 po/bg.po                        | 1161 +++++++++++----------
 po/bn.po                        | 1161 +++++++++++----------
 po/bn_IN.po                     | 1161 +++++++++++----------
 po/br.po                        | 1161 +++++++++++----------
 po/bs.po                        | 1159 +++++++++++----------
 po/ca.po                        | 1169 +++++++++++----------
 po/ca@valencia.po               | 1161 +++++++++++----------
 po/cmn.po                       | 1161 +++++++++++----------
 po/crh.po                       | 1161 +++++++++++----------
 po/cs.po                        | 1497 +++++++++++++--------------
 po/cy.po                        | 1159 +++++++++++----------
 po/da.po                        | 1161 +++++++++++----------
 po/de.po                        | 1161 +++++++++++----------
 po/dz.po                        | 1161 +++++++++++----------
 po/el.po                        | 1167 +++++++++++----------
 po/en_AU.po                     | 1161 +++++++++++----------
 po/en_CA.po                     | 1159 +++++++++++----------
 po/en_GB.po                     | 1169 +++++++++++----------
 po/eo.po                        | 1161 +++++++++++----------
 po/es.po                        | 1163 +++++++++++----------
 po/es_AR.po                     | 1159 +++++++++++----------
 po/es_CO.po                     | 1159 +++++++++++----------
 po/es_MX.po                     | 1159 +++++++++++----------
 po/et.po                        | 1161 +++++++++++----------
 po/eu.po                        | 1161 +++++++++++----------
 po/fa.po                        | 1159 +++++++++++----------
 po/fi.po                        | 1161 +++++++++++----------
 po/fr.po                        | 1175 +++++++++++----------
 po/fur.po                       | 1159 +++++++++++----------
 po/fy.po                        | 1159 +++++++++++----------
 po/ga.po                        | 1159 +++++++++++----------
 po/gl.po                        | 1161 +++++++++++----------
 po/gu.po                        | 1161 +++++++++++----------
 po/ha.po                        | 1159 +++++++++++----------
 po/he.po                        | 1163 +++++++++++----------
 po/hi.po                        | 1161 +++++++++++----------
 po/hr.po                        | 1161 +++++++++++----------
 po/hu.po                        | 1184 +++++++++++----------
 po/hy.po                        | 1161 +++++++++++----------
 po/id.po                        | 1218 +++++++++++-----------
 po/ie.po                        | 1161 +++++++++++----------
 po/ig.po                        | 1159 +++++++++++----------
 po/is.po                        | 1161 +++++++++++----------
 po/it.po                        | 1163 +++++++++++----------
 po/ja.po                        | 2159 ++++++++++++++++++++-------------------
 po/ka.po                        | 1159 +++++++++++----------
 po/kab.po                       | 1175 +++++++++++----------
 po/kk.po                        | 1161 +++++++++++----------
 po/kn.po                        | 1161 +++++++++++----------
 po/ko.po                        | 1244 +++++++++++-----------
 po/ks.po                        | 1159 +++++++++++----------
 po/ku.po                        | 1159 +++++++++++----------
 po/ku_IQ.po                     | 1159 +++++++++++----------
 po/ky.po                        | 1161 +++++++++++----------
 po/la.po                        | 1163 +++++++++++----------
 po/li.po                        | 1159 +++++++++++----------
 po/lt.po                        | 1161 +++++++++++----------
 po/lv.po                        | 1161 +++++++++++----------
 po/mai.po                       | 1161 +++++++++++----------
 po/mg.po                        | 1159 +++++++++++----------
 po/mi.po                        | 1159 +++++++++++----------
 po/mk.po                        | 1161 +++++++++++----------
 po/ml.po                        | 1161 +++++++++++----------
 po/mn.po                        | 1159 +++++++++++----------
 po/mr.po                        | 1161 +++++++++++----------
 po/ms.po                        | 1189 +++++++++++----------
 po/nb.po                        | 1165 +++++++++++----------
 po/nds.po                       | 1161 +++++++++++----------
 po/ne.po                        | 1161 +++++++++++----------
 po/nl.po                        | 1161 +++++++++++----------
 po/nn.po                        | 1159 +++++++++++----------
 po/nso.po                       | 1159 +++++++++++----------
 po/oc.po                        | 1223 +++++++++++-----------
 po/or.po                        | 1161 +++++++++++----------
 po/pa.po                        | 1161 +++++++++++----------
 po/pl.po                        | 1170 +++++++++++----------
 po/pms.po                       | 1159 +++++++++++----------
 po/ps.po                        | 1161 +++++++++++----------
 po/pt.po                        | 1163 +++++++++++----------
 po/pt_BR.po                     | 1161 +++++++++++----------
 po/ro.po                        | 1161 +++++++++++----------
 po/ru.po                        | 1161 +++++++++++----------
 po/rw.po                        | 1159 +++++++++++----------
 po/si.po                        | 1159 +++++++++++----------
 po/sk.po                        | 1161 +++++++++++----------
 po/sl.po                        | 1161 +++++++++++----------
 po/sq.po                        | 1161 +++++++++++----------
 po/sr.po                        | 1301 +++++++++++------------
 po/sr@latin.po                  | 1161 +++++++++++----------
 po/sv.po                        | 1288 +++++++++++------------
 po/ta.po                        | 1161 +++++++++++----------
 po/te.po                        | 1161 +++++++++++----------
 po/th.po                        | 1161 +++++++++++----------
 po/tk.po                        | 1159 +++++++++++----------
 po/tr.po                        | 1161 +++++++++++----------
 po/tt.po                        | 1159 +++++++++++----------
 po/ug.po                        | 1159 +++++++++++----------
 po/uk.po                        | 1467 +++++++++++++-------------
 po/ur.po                        | 1161 +++++++++++----------
 po/uz.po                        | 1159 +++++++++++----------
 po/vi.po                        | 1161 +++++++++++----------
 po/wa.po                        | 1159 +++++++++++----------
 po/xh.po                        | 1159 +++++++++++----------
 po/yi.po                        | 1159 +++++++++++----------
 po/yo.po                        | 1159 +++++++++++----------
 po/zh_CN.po                     | 1885 +++++++++++++++++-----------------
 po/zh_HK.po                     | 1161 +++++++++++----------
 po/zh_TW.po                     | 1161 +++++++++++----------
 po/zu.po                        | 1159 +++++++++++----------
 208 files changed, 74356 insertions(+), 74222 deletions(-)

commit 43b63f310b53105c6451f37042374303c430b668
Author: raveit65 <mate@raveit.de>
Date:   Fri Aug 6 10:03:45 2021 +0200

    travis-Ci: use libera.chat as notification server

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b76bad52c29eb36f4d45a41f3c46d0d6f7fbc177
Author: mbkma <johannes.unruh@fau.de>
Date:   Tue Aug 3 09:51:32 2021 +0200

    filebrowser-plugin: fix segfault on open-terminal action

 plugins/filebrowser/pluma-file-browser-plugin.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 70b239ea0f9ffd15d0f998fb6aaaca30f56454da
Author: raveit65 <mate@raveit.de>
Date:   Sat Jun 26 20:40:33 2021 +0200

    tx: update resource

 help/pluma.pot |   81 ++--
 pluma.pot      | 1156 ++++++++++++++++++++++++++++----------------------------
 2 files changed, 614 insertions(+), 623 deletions(-)

commit 3e5174ecdfbd936ec11656a536c3e0a3090d826c
Author: raveit65 <mate@raveit.de>
Date:   Sat Jun 26 20:37:55 2021 +0200

    update copyright to 2021

 plugins/docinfo/pluma-docinfo-plugin.c              | 1 +
 plugins/docinfo/pluma-docinfo-plugin.h              | 1 +
 plugins/externaltools/data/search-recursive.tool.in | 1 +
 plugins/externaltools/data/switch-c.tool.in         | 2 +-
 plugins/externaltools/scripts/pluma-tool-merge.pl   | 1 +
 plugins/externaltools/tools/__init__.py             | 1 +
 plugins/externaltools/tools/capture.py              | 1 +
 plugins/externaltools/tools/filelookup.py           | 1 +
 plugins/externaltools/tools/functions.py            | 1 +
 plugins/externaltools/tools/library.py              | 1 +
 plugins/externaltools/tools/linkparsing.py          | 1 +
 plugins/externaltools/tools/manager.py              | 1 +
 plugins/externaltools/tools/outputpanel.py          | 1 +
 plugins/filebrowser/pluma-file-bookmarks-store.c    | 1 +
 plugins/filebrowser/pluma-file-bookmarks-store.h    | 1 +
 plugins/filebrowser/pluma-file-browser-error.h      | 1 +
 plugins/filebrowser/pluma-file-browser-messages.h   | 1 +
 plugins/filebrowser/pluma-file-browser-plugin.c     | 1 +
 plugins/filebrowser/pluma-file-browser-plugin.h     | 1 +
 plugins/filebrowser/pluma-file-browser-store.c      | 1 +
 plugins/filebrowser/pluma-file-browser-store.h      | 1 +
 plugins/filebrowser/pluma-file-browser-utils.c      | 1 +
 plugins/filebrowser/pluma-file-browser-view.c       | 1 +
 plugins/filebrowser/pluma-file-browser-view.h       | 1 +
 plugins/filebrowser/pluma-file-browser-widget.c     | 1 +
 plugins/filebrowser/pluma-file-browser-widget.h     | 1 +
 plugins/modelines/modeline-parser.c                 | 1 +
 plugins/modelines/modeline-parser.h                 | 1 +
 plugins/modelines/pluma-modeline-plugin.c           | 1 +
 plugins/modelines/pluma-modeline-plugin.h           | 1 +
 plugins/pythonconsole/pythonconsole/__init__.py     | 1 +
 plugins/pythonconsole/pythonconsole/config.py       | 1 +
 plugins/pythonconsole/pythonconsole/console.py      | 1 +
 plugins/quickopen/quickopen/__init__.py             | 1 +
 plugins/quickopen/quickopen/popup.py                | 1 +
 plugins/quickopen/quickopen/virtualdirs.py          | 1 +
 plugins/quickopen/quickopen/windowhelper.py         | 1 +
 plugins/snippets/snippets/Document.py               | 1 +
 plugins/snippets/snippets/Helper.py                 | 1 +
 plugins/snippets/snippets/Library.py                | 1 +
 plugins/snippets/snippets/Manager.py                | 1 +
 plugins/snippets/snippets/Parser.py                 | 1 +
 plugins/snippets/snippets/Placeholder.py            | 1 +
 plugins/snippets/snippets/Snippet.py                | 1 +
 plugins/snippets/snippets/SubstitutionParser.py     | 1 +
 plugins/snippets/snippets/WindowHelper.py           | 1 +
 plugins/snippets/snippets/__init__.py               | 1 +
 plugins/snippets/snippets/comment.py                | 1 +
 plugins/spell/pluma-automatic-spell-checker.c       | 1 +
 plugins/spell/pluma-automatic-spell-checker.h       | 1 +
 plugins/spell/pluma-spell-checker-dialog.c          | 1 +
 plugins/spell/pluma-spell-checker-dialog.h          | 1 +
 plugins/spell/pluma-spell-checker-language.c        | 1 +
 plugins/spell/pluma-spell-checker-language.h        | 1 +
 plugins/spell/pluma-spell-checker.c                 | 1 +
 plugins/spell/pluma-spell-checker.h                 | 1 +
 plugins/spell/pluma-spell-language-dialog.c         | 1 +
 plugins/spell/pluma-spell-language-dialog.h         | 1 +
 plugins/spell/pluma-spell-plugin.c                  | 1 +
 plugins/spell/pluma-spell-plugin.h                  | 1 +
 plugins/spell/pluma-spell-utils.c                   | 1 +
 plugins/spell/pluma-spell-utils.h                   | 1 +
 plugins/taglist/pluma-taglist-plugin-panel.c        | 1 +
 plugins/taglist/pluma-taglist-plugin-panel.h        | 1 +
 plugins/taglist/pluma-taglist-plugin-parser.c       | 1 +
 plugins/taglist/pluma-taglist-plugin-parser.h       | 1 +
 plugins/taglist/pluma-taglist-plugin.c              | 1 +
 plugins/taglist/pluma-taglist-plugin.h              | 1 +
 plugins/time/pluma-time-plugin.c                    | 1 +
 plugins/time/pluma-time-plugin.h                    | 1 +
 pluma/bacon-message-connection.c                    | 1 +
 pluma/bacon-message-connection.h                    | 1 +
 pluma/dialogs/pluma-close-confirmation-dialog.c     | 1 +
 pluma/dialogs/pluma-close-confirmation-dialog.h     | 1 +
 pluma/dialogs/pluma-encodings-dialog.c              | 1 +
 pluma/dialogs/pluma-encodings-dialog.h              | 1 +
 pluma/dialogs/pluma-preferences-dialog.c            | 1 +
 pluma/dialogs/pluma-preferences-dialog.h            | 1 +
 pluma/dialogs/pluma-search-dialog.c                 | 1 +
 pluma/dialogs/pluma-search-dialog.h                 | 1 +
 pluma/dialogs/pluma-search-dialog.ui                | 2 +-
 pluma/pluma-app-activatable.c                       | 1 +
 pluma/pluma-app-activatable.h                       | 1 +
 pluma/pluma-app.c                                   | 1 +
 pluma/pluma-app.h                                   | 1 +
 pluma/pluma-close-button.c                          | 1 +
 pluma/pluma-close-button.h                          | 1 +
 pluma/pluma-commands-documents.c                    | 1 +
 pluma/pluma-commands-edit.c                         | 1 +
 pluma/pluma-commands-file-print.c                   | 1 +
 pluma/pluma-commands-file.c                         | 1 +
 pluma/pluma-commands-help.c                         | 1 +
 pluma/pluma-commands-search.c                       | 1 +
 pluma/pluma-commands-view.c                         | 1 +
 pluma/pluma-commands.h                              | 1 +
 pluma/pluma-debug.c                                 | 1 +
 pluma/pluma-debug.h                                 | 1 +
 pluma/pluma-dirs.c                                  | 1 +
 pluma/pluma-dirs.h                                  | 1 +
 pluma/pluma-document-input-stream.c                 | 1 +
 pluma/pluma-document-input-stream.h                 | 1 +
 pluma/pluma-document-loader.c                       | 1 +
 pluma/pluma-document-loader.h                       | 1 +
 pluma/pluma-document-output-stream.c                | 1 +
 pluma/pluma-document-output-stream.h                | 1 +
 pluma/pluma-document-saver.c                        | 1 +
 pluma/pluma-document-saver.h                        | 1 +
 pluma/pluma-document.c                              | 1 +
 pluma/pluma-document.h                              | 1 +
 pluma/pluma-documents-panel.c                       | 1 +
 pluma/pluma-documents-panel.h                       | 1 +
 pluma/pluma-encodings-combo-box.c                   | 1 +
 pluma/pluma-encodings-combo-box.h                   | 1 +
 pluma/pluma-encodings.c                             | 1 +
 pluma/pluma-encodings.h                             | 1 +
 pluma/pluma-file-chooser-dialog.c                   | 1 +
 pluma/pluma-file-chooser-dialog.h                   | 1 +
 pluma/pluma-help.c                                  | 1 +
 pluma/pluma-help.h                                  | 1 +
 pluma/pluma-history-entry.c                         | 1 +
 pluma/pluma-history-entry.h                         | 1 +
 pluma/pluma-io-error-message-area.c                 | 1 +
 pluma/pluma-io-error-message-area.h                 | 1 +
 pluma/pluma-language-manager.c                      | 1 +
 pluma/pluma-language-manager.h                      | 1 +
 pluma/pluma-metadata-manager.c                      | 1 +
 pluma/pluma-metadata-manager.h                      | 1 +
 pluma/pluma-notebook.c                              | 1 +
 pluma/pluma-notebook.h                              | 1 +
 pluma/pluma-panel.c                                 | 1 +
 pluma/pluma-panel.h                                 | 1 +
 pluma/pluma-pango.c                                 | 1 +
 pluma/pluma-plugins-engine.c                        | 1 +
 pluma/pluma-plugins-engine.h                        | 1 +
 pluma/pluma-print-job.c                             | 1 +
 pluma/pluma-print-job.h                             | 1 +
 pluma/pluma-print-preview.c                         | 1 +
 pluma/pluma-print-preview.h                         | 1 +
 pluma/pluma-progress-message-area.c                 | 1 +
 pluma/pluma-progress-message-area.h                 | 1 +
 pluma/pluma-session.c                               | 1 +
 pluma/pluma-session.h                               | 1 +
 pluma/pluma-settings.c                              | 2 +-
 pluma/pluma-settings.h                              | 2 +-
 pluma/pluma-smart-charset-converter.c               | 1 +
 pluma/pluma-smart-charset-converter.h               | 1 +
 pluma/pluma-status-combo-box.c                      | 1 +
 pluma/pluma-status-combo-box.h                      | 1 +
 pluma/pluma-statusbar.c                             | 1 +
 pluma/pluma-statusbar.h                             | 1 +
 pluma/pluma-style-scheme-manager.c                  | 1 +
 pluma/pluma-style-scheme-manager.h                  | 1 +
 pluma/pluma-tab-label.c                             | 1 +
 pluma/pluma-tab-label.h                             | 1 +
 pluma/pluma-tab.c                                   | 1 +
 pluma/pluma-tab.h                                   | 1 +
 pluma/pluma-ui.h                                    | 1 +
 pluma/pluma-ui.xml                                  | 1 +
 pluma/pluma-utils.c                                 | 1 +
 pluma/pluma-utils.h                                 | 1 +
 pluma/pluma-view-activatable.c                      | 1 +
 pluma/pluma-view-activatable.h                      | 1 +
 pluma/pluma-view.c                                  | 1 +
 pluma/pluma-view.h                                  | 1 +
 pluma/pluma-window-activatable.c                    | 1 +
 pluma/pluma-window-activatable.h                    | 1 +
 pluma/pluma-window-private.h                        | 1 +
 pluma/pluma-window.c                                | 1 +
 pluma/pluma-window.h                                | 1 +
 pluma/pluma.c                                       | 1 +
 pluma/plumatextregion.c                             | 1 +
 pluma/plumatextregion.h                             | 1 +
 tests/document-input-stream.c                       | 1 +
 tests/document-loader.c                             | 1 +
 tests/document-output-stream.c                      | 1 +
 tests/document-saver.c                              | 1 +
 tests/smart-converter.c                             | 1 +
 tools/generate-plugin.py                            | 1 +
 tools/preprocessor.py                               | 1 +
 179 files changed, 179 insertions(+), 4 deletions(-)

commit 3899aaff5ca1bc395b9cfeb6000b369b5f290909
Author: raveit65 <mate@raveit.de>
Date:   Sun May 30 18:59:13 2021 +0200

    travis-ci: use ubuntu focal as host system
    
    fixes build issues with fedora:latest (f34) tag.

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fcdc90b6bd740ddd11f50805911a4526a4b6828f
Author: raveit65 <mate@raveit.de>
Date:   Sun Apr 25 16:46:55 2021 +0200

    travis: disable travis builds for ubuntu
    
    Sadly, there is a limit for free builds at docker.com
    See discussion
    https://github.com/orgs/mate-desktop/teams/core-team/discussions/25

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9a99c3c7b0fbfa9510fb65d96ef70f96f7fd3c62
Author: raveit65 <mate@raveit.de>
Date:   Sun Mar 28 16:39:30 2021 +0200

    build: fix shebangs
    
    - mangling shebang warnings
    - ambiguous python shebang error

 data/pluma-bugreport.sh.in                                | 2 +-
 plugins/externaltools/data/build.tool.in                  | 2 +-
 plugins/externaltools/data/open-terminal-here.tool.in     | 2 +-
 plugins/externaltools/data/remove-trailing-spaces.tool.in | 2 +-
 plugins/externaltools/data/run-command.tool.in            | 2 +-
 plugins/externaltools/data/search-recursive.tool.in       | 2 +-
 plugins/externaltools/data/switch-c.tool.in               | 2 +-
 7 files changed, 7 insertions(+), 7 deletions(-)

commit 8c4d1a8f38aa0cbf9bed07dd0631f223e1ada0fd
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Mar 10 12:50:19 2021 +0100

    warning: declaration of ‘taglist’ shadows a global declaration

 plugins/taglist/pluma-taglist-plugin-parser.c | 23 +++++++++++++----------
 1 file changed, 13 insertions(+), 10 deletions(-)

commit a1c494f176ff7a376fe069a238b7a06b835d3584
Author: rbuj <robert.buj@gmail.com>
Date:   Thu Feb 4 12:23:58 2021 +0100

    pluma: Use EXIT_SUCCESS macro instead of int value (portability)

 pluma/pluma.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 5857a0babe4373249e00056dd3dfac216aa01050
Author: raveit65 <mate@raveit.de>
Date:   Tue Mar 9 23:46:58 2021 +0100

    travis: build with mate-common-1.24.2 from repos

 .build.yml | 11 -----------
 1 file changed, 11 deletions(-)

commit 5976709868a08871e711fef8509e7de65d2c2389
Author: mbkma <johannes.unruh@fau.de>
Date:   Mon Mar 8 23:09:32 2021 +0100

    help: update help for sort plugin

 help/C/index.docbook | 3 ---
 1 file changed, 3 deletions(-)

commit 6384cc5c9b68a6252b7f6e8417c2ef234f85b940
Author: mbkma <johannes.unruh@fau.de>
Date:   Sat Mar 6 20:48:13 2021 +0100

    sort plugin: Port sort plugin to the new GtkSourceView api.
    This allows the user to undo a sorting operation.
    Further this commit simplifies the code and updates the ui file.

 plugins/sort/pluma-sort-plugin.c | 429 ++++++++++-----------------------------
 plugins/sort/sort.ui             | 240 +++++++++-------------
 2 files changed, 202 insertions(+), 467 deletions(-)

commit 4437fd4c919d8b66f7852c79b5edfa2ae927ea60
Author: raveit65 <mate@raveit.de>
Date:   Thu Mar 4 23:21:01 2021 +0100

    release 1.25.3

 NEWS         | 10 +++++++++-
 configure.ac |  2 +-
 2 files changed, 10 insertions(+), 2 deletions(-)

commit f4ed7690bff4021051f11fbe851b604d69caef2f
Author: mbkma <johannes.unruh@fau.de>
Date:   Fri Feb 12 11:31:23 2021 +0100

    port plugins to use the window-construct property.
    pluma-file-browser-plugin.c: rename "data" to "priv".

 plugins/docinfo/pluma-docinfo-plugin.c          |  30 +-
 plugins/externaltools/tools/__init__.py         |  24 +-
 plugins/filebrowser/pluma-file-browser-plugin.c | 393 ++++++++++++------------
 plugins/modelines/pluma-modeline-plugin.c       |  33 +-
 plugins/pythonconsole/pythonconsole/__init__.py |  14 +-
 plugins/quickopen/quickopen/__init__.py         |   9 +-
 plugins/snippets/snippets/__init__.py           |   7 +-
 plugins/sort/pluma-sort-plugin.c                |  28 +-
 plugins/spell/pluma-spell-plugin.c              |  30 +-
 plugins/taglist/pluma-taglist-plugin.c          |  30 +-
 plugins/time/pluma-time-plugin.c                |  30 +-
 plugins/trailsave/pluma-trail-save-plugin.c     |  29 +-
 12 files changed, 326 insertions(+), 331 deletions(-)

commit 0d91cd7289dfc1e59658ea4a946a843a576496c8
Author: rbuj <robert.buj@gmail.com>
